#ifndef AboutWidget_H
#define AboutWidget_H

#include <QWidget>

namespace Ui {
class AboutWidget;
}

class PatchList;

class AboutWidget : public QWidget
{
    Q_OBJECT

public:
    explicit AboutWidget(PatchList* legacy_patches, QWidget *parent = 0);
    ~AboutWidget();

public slots:
    void updateFontsSizes();

protected:
    void resizeEvent(QResizeEvent *event) override;

private slots:
    void on_goto_site_clicked();

    void on_goto_forum_clicked();

    void on_goto_bugs_clicked();

    void on_goto_donate_clicked();

private:
    Ui::AboutWidget *ui;

    PatchList *legacy_patches_;
};

#endif // AboutWidget_H
